質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

受付中

【Python】IPython notebook でzmq 関連のエラーが出る

Masafumi
Masafumi

総合スコア0

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

0回答

0評価

1クリップ

3450閲覧

投稿2015/02/18 15:52

編集2022/01/12 10:55

Python 3.4 をpyenv で設定した状態で、
IPython Notebook チュートリアル
こちらの記事を基にIpython Notebook 設定して起動させようとすると以下のようなエラーが出ます。

lang

ipython notebook --profile=myserver Traceback (most recent call last): File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/utils/zmqrelated.py", line 35, in check_for_zmq import zmq File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/zmq/__init__.py", line 49, in <module> from zmq import backend File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/zmq/backend/__init__.py", line 41, in <module> reraise(*exc_info) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/zmq/utils/sixcerpt.py", line 34, in reraise raise value File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/zmq/backend/__init__.py", line 29, in <module> _ns = select_backend(first) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/zmq/backend/select.py", line 27, in select_backend mod = __import__(name, fromlist=public_api) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/zmq/backend/cython/__init__.py", line 6, in <module> from . import (constants, error, message, context, ImportError: /home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/zmq/backend/cython/message.cpython-34m.so: undefined symbol: zmq_msg_set During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/username/.pyenv/versions/3.4.0/bin/ipython", line 11, in <module> sys.exit(start_ipython()) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/__init__.py", line 120, in start_ipython return launch_new_instance(argv=argv, **kwargs) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/config/application.py", line 563, in launch_instance app.initialize(argv) File "<string>", line 2, in initialize File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/config/application.py", line 92, in catch_config_error return method(app, *args, **kwargs) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/terminal/ipapp.py", line 321, in initialize super(TerminalIPythonApp, self).initialize(argv) File "<string>", line 2, in initialize File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/config/application.py", line 92, in catch_config_error return method(app, *args, **kwargs) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/core/application.py", line 381, in initialize self.parse_command_line(argv) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/terminal/ipapp.py", line 316, in parse_command_line return super(TerminalIPythonApp, self).parse_command_line(argv) File "<string>", line 2, in parse_command_line File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/config/application.py", line 92, in catch_config_error return method(app, *args, **kwargs) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/config/application.py", line 475, in parse_command_line return self.initialize_subcommand(subc, subargv) File "<string>", line 2, in initialize_subcommand File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/config/application.py", line 92, in catch_config_error return method(app, *args, **kwargs) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/config/application.py", line 406, in initialize_subcommand subapp = import_item(subapp) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/utils/importstring.py", line 42, in import_item module = __import__(package, fromlist=[obj]) File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/html/notebookapp.py", line 40, in <module> check_for_zmq('2.1.11', 'IPython.html') File "/home/username/.pyenv/versions/3.4.0/lib/python3.4/site-packages/IPython/utils/zmqrelated.py", line 37, in check_for_zmq raise ImportError("%s requires pyzmq >= %s"%(required_by, minimum_version)) ImportError: IPython.html requires pyzmq >= 2.1.11

requires pyzmq >= 2.1.11

とありますが、pyzmqはインストール済みです。
実際

lang

pip install pyzmq

とすると

lang

Requirement already satisfied (use --upgrade to upgrade): pyzmq in ./.pyenv/versions/3.4.0/lib/python3.4/site-packages Cleaning up...

と出てきます。
恐らくpyenvを入れているせいで、認識されていないと思うのですが、解決策がわかりません。

よろしくお願いいたします。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。